Create Attack Discovery schedule

Base URL
https://{kibana_url}
  • POST /api/attack_discovery/schedules
  • POST /s/{space_id}/api/attack_discovery/schedules
Auth

Creates a new Attack Discovery schedule that analyzes security alerts at specified intervals. The schedule defines when and how Attack Discovery analysis should run, including which alerts to analyze, which AI connector to use, and what actions to take when discoveries are found.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Attack Discovery schedule configuration including name, parameters, schedule interval, and actions

actions union oneOf[]

The Attack Discovery schedule actions

One of:
action_type_id string required

The action type used for sending notifications.

alerts_filter object
frequency object

The action frequency defines when the action runs (for example, only on schedule execution or at specific time intervals).

notify_when enum required

The condition for throttling the notification: onActionGroupChange, onActiveAlert, or onThrottleInterval

Values: onActiveAlert onThrottleInterval onActionGroupChange
summary boolean required

Action summary indicates whether we will send a summary notification about all the generate alerts or notification per individual alert

throttle string · pattern: ^[1-9]\d*[smhd]$ required

Defines how often schedule actions are taken. Time interval in seconds, minutes, hours, or days.

group string required

Groups actions by use cases. Use default for alert notifications.

id string required

The connector ID.

params object required

Object containing the allowed connector fields, which varies according to the connector type.

uuid string · format: nonempty · min length: 1

A string that does not contain only whitespace characters.

enabled boolean

Indicates whether the schedule is enabled

name string required

The name of the schedule

params object required

An Attack Discovery schedule params

alerts_index_pattern string required

The index pattern to get alerts from

api_config object required

LLM API configuration.

actionTypeId string required

Action type ID

connectorId string required

Connector ID

defaultSystemPromptId string

Default system prompt ID

model string

Model

provider enum

Provider

Values: OpenAI Azure OpenAI Other
name string required

The name of the connector

combined_filter object
end string
filters object[]

The filter array used to define the conditions for when alerts are selected as an Attack Discovery context. Defaults to an empty array.

query object

An query condition to filter alerts

language string required
query string | object required
size number required
start string
schedule object required
interval string required

The schedule interval

Responses

The Attack Discovery schedule was successfully created.

application/json
actions union oneOf[] required

The Attack Discovery schedule actions

Same options as actions
created_at string · format: date-time required

The date the schedule was created

created_by string required

The name of the user that created the schedule

enabled boolean required

Indicates whether the schedule is enabled

id string required

UUID of Attack Discovery schedule

last_execution object

An Attack Discovery schedule execution information

date string · format: date-time required

Date of the execution

duration number

Duration of the execution

message string
status enum required

An Attack Discovery schedule execution status

Values: ok active error unknown warning
name string required

The name of the schedule

params object required

An Attack Discovery schedule params

Same fields as params
schedule object required
interval string required

The schedule interval

updated_at string · format: date-time required

The date the schedule was updated

updated_by string required

The name of the user that updated the schedule

Bad Request response.

application/json
error string

Error type

message string

Human-readable error message describing what went wrong

status_code number

HTTP status code

Base URL
https://{kibana_url}